/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/utils/menusystem/menu.cpp

*/

#include "sgx/core/core.hpp"
#include "utils/menusystem/menusystem.hpp"


tBOOL 
sgxGameMenuCallbackHandler::onGameMenuPrepareMenu(CGameMenuHandler *pHandler)  { 
	SGX_UNUSED(pHandler);
	return TRUE; 
}

tBOOL 
sgxGameMenuCallbackHandler::onGameMenuGetCaptionPosition(const CGameMenuHandler *pHandler, sgxPoint2i &pos, const char *pCaption) const {
	SGX_UNUSED(pHandler);
	SGX_UNUSED(pos);
	SGX_UNUSED(pCaption);
	return TRUE; 
}

tBOOL 
sgxGameMenuCallbackHandler::onGameMenuGetWidgetPosition(const CGameMenuHandler *pHandler, sgxPoint2i &pos, const tUINT32 idx, const sgxWidget *pWidget) const {
	SGX_UNUSED(pHandler);
	SGX_UNUSED(pos);
	SGX_UNUSED(idx);
	SGX_UNUSED(pWidget);
	return TRUE; 
}

tBOOL 
sgxGameMenuCallbackHandler::onGameMenuDrawMenu(const CGameMenuHandler *pHandler) const { 
	SGX_UNUSED(pHandler); 
	return TRUE; 
}

tBOOL 
sgxGameMenuCallbackHandler::onGameMenuUpdate(CGameMenuHandler *pHandler, const tREAL32 telaps) { 
	SGX_UNUSED(pHandler);
	SGX_UNUSED(telaps);
	return TRUE; 
}

tBOOL 
sgxGameMenuCallbackHandler::onGameMenuOptionSelect(CGameMenuHandler *pHandler, const tINT32 opt) { 
	SGX_UNUSED(pHandler);
	SGX_UNUSED(opt);
	return TRUE; 
}



void 	
CSGXMenu::beginEntrance(CGameMenuHandler *p) { 
	onGameMenuPrepareMenu(p); 
}

tBOOL	
CSGXMenu::updateEntrance(CGameMenuHandler *p, const tREAL32 telaps) { 
	SGX_UNUSED(p); 
	SGX_UNUSED(telaps); 
	return TRUE; 
}
void	
CSGXMenu::endEntrance(CGameMenuHandler *p) { 
	SGX_UNUSED(p); 
}
	
void	
CSGXMenu::updateActive(CGameMenuHandler *p, const tREAL32 telaps) { 
SGX_UNUSED(p); 
	SGX_UNUSED(telaps); 
}

void	
CSGXMenu::beginExit(CGameMenuHandler *p) { 
	SGX_UNUSED(p); 
}

tBOOL	
CSGXMenu::updateExit(CGameMenuHandler *p, const tREAL32 telaps) { 
	SGX_UNUSED(p); 
	SGX_UNUSED(telaps); 
	return TRUE;
}
void	
CSGXMenu::endExit(CGameMenuHandler *p) { 
	SGX_UNUSED(p); 
}
